# @turf/great-circle

# greatCircle

Calculate great circles routes as [LineString](http://geojson.org/geojson-spec.html#linestring)

**Parameters**

-   `start` **[Feature](http://geojson.org/geojson-spec.html#feature-objects)&lt;[Point](http://geojson.org/geojson-spec.html#point)>** source point feature
-   `end` **[Feature](http://geojson.org/geojson-spec.html#feature-objects)&lt;[Point](http://geojson.org/geojson-spec.html#point)>** destination point feature
-   `properties` **\[Any]** line feature properties (optional, default `{}`)
-   `npoints` **\[[number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)]** number of points (optional, default `100`)
-   `offset` **\[[number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)]** offset controls the likelyhood that lines will
    be split which cross the dateline. The higher the number the more likely. (optional, default `10`)

**Examples**

```javascript
var start = {
  "type": "Feature",
  "properties": {},
  "geometry": {
    "type": "Point",
    "coordinates": [-122, 48]
  }
}
var end = {
  "type": "Feature",
  "properties": {},
  "geometry": {
    "type": "Point",
    "coordinates": [-77, 39]
  }
}
var greatCircle = turf.greatCircle(start, end, {'name': 'Seattle to DC'});

//addToMap
var addToMap = [start, end, greatCircle]
```

Returns **[Feature](http://geojson.org/geojson-spec.html#feature-objects)&lt;[LineString](http://geojson.org/geojson-spec.html#linestring)>** great circle line feature

<!-- This file is automatically generated. Please don't edit it directly:
if you find an error, edit the source file (likely index.js), and re-run
./scripts/generate-readmes in the turf project. -->

---

This module is part of the [Turfjs project](http://turfjs.org/), an open source
module collection dedicated to geographic algorithms. It is maintained in the
[Turfjs/turf](https://github.com/Turfjs/turf) repository, where you can create
PRs and issues.

### Installation

Install this module individually:

```sh
$ npm install @turf/great-circle
```

Or install the Turf module that includes it as a function:

```sh
$ npm install @turf/turf
```
